local _old_clbk_action_timeout = CopLogicIdle.clbk_action_timeout
function CopLogicIdle.clbk_action_timeout(ignore_this, data)
	if data.is_converted then
		local my_data = data.internal_data
		if my_data and my_data.action_timeout_clbk_id then
			local crouch_action = {
				type = "act",
				body_part = 1,
				variant = "crouch",
				blocks = {
					action = -1,
					walk = -1,
					hurt = -1,
					heavy_hurt = -1,
					light_hurt = -1,
					aim = -1
				}
			}
			data.unit:movement():action_request(crouch_action)
		end
	end
	_old_clbk_action_timeout(ignore_this, data)
end