Hooks:Add("NetworkManagerOnPeerAdded", "NetworkManagerOnPeerAdded_ConvertedRevives", function(peer, peer_id)
	if Network:is_server() then
		DelayedCalls:Add("DelayedModAnnounces_ConvertedRevives" .. tostring(peer_id), 2, function()
			local message = "Mod Active \"Converted Revives\": When heisters get downed, converted cops will revive."
			local peer2 = managers.network:session() and managers.network:session():peer(peer_id)
			if peer2 then
				peer2:send("send_chat_message", ChatManager.GAME, message)
				log("ConvertedRevives info list is send to "..tostring(peer2:name()))
			end
		end)
	end
end)



Hooks:Add("LocalizationManagerPostInit", "LocalizationManagerPostInitConvertedRevives", function(loc)
	local str = "BASIC: ##4 points##\nHaving a converted enemy increases your movement speed by ##$multibasic;##.\n\nYour converted enemy takes ##$multibasic3;## less damage.\n\n\nACE: ##8 points##\nHaving a converted enemy increases your health by ##$multipro3;##.\n\nYour converted enemy takes an additional ##$multipro4;## less damage.\n\nYour converted will now revive you and your teammates."

	 --[[loc:add_localized_strings({
		menu_control_freak_beta_desc = str
	 })]]

end)