local _PlayerFatal_enter = PlayerFatal.enter
local _PlayerFatal_exit = PlayerFatal.exit


function PlayerFatal:enter(state_data, enter_data)
	_PlayerFatal_enter(self, state_data, enter_data)
	if Network:is_server() and enter_data then
		if enter_data.revive_SO_data_cop then
			self._revive_SO_data_cop = enter_data.revive_SO_data_cop
		end
	end
end


function PlayerFatal:exit(state_data, new_state_name)
	local exit_data = _PlayerFatal_exit(self, state_data, new_state_name)
	if Network:is_server() then
		PlayerBleedOut._unregister_cop_revive(self)
	end
	self._revive_SO_data_cop = nil
	return exit_data
end
