local _PlayerIncapacitated_enter = PlayerIncapacitated.enter
local _PlayerIncapacitated_exit = PlayerIncapacitated.exit


function PlayerIncapacitated:enter(state_data, enter_data)
	_PlayerIncapacitated_enter(self, state_data, enter_data)
	self._revive_SO_data_cop = {unit = self._unit}
	if Network:is_server() then
		PlayerBleedOut:_register_cop_revive(self._revive_SO_data_cop)
	end
end


function PlayerIncapacitated:exit(state_data, new_state_name)
	local exit_data = _PlayerIncapacitated_exit(self, state_data, new_state_name)
	if Network:is_server() then
		PlayerBleedOut._unregister_cop_revive(self)
	end
	self._revive_SO_data_cop = nil
	return exit_data
end